stages:
  - test
  - generate-allure-report

test:
  image: maven
  stage: test
  script:
    - mvn clean test
    - mvn allure:report
  artifacts:
    when: always
    paths:
    - target/site/allure-maven-plugin/
    expire_in: 1 day

generate-allure-result:
  stage: generate-allure-report
  image: pradapjackie/allure-reports-generation:1.0
  artifacts:
    paths:
      - target/site/allure-maven-plugin/
    when: always
    expire_in: 1 days
  script:
    - allure generate allure-results - clean -o allure-report
  allow_failure: true
  rules:
  - when: always